Skip to main content
The “Get Price by ID for a Product” API allows retrieving information for a specific price associated with a particular product using its unique identifier. Use this endpoint to fetch details for a single price based on the provided price ID and product ID.
GET https://services.leadconnectorhq.com/products/{productId}/price/{priceId}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

productId
string
default:"6578278e879ad2646715ba9c"
required
ID of the product that needs to be used
priceId
string
default:"6578278e879ad2646715ba9c"
required
ID of the price that needs to be returned

Query parameters

locationId
string
default:"6578278e879ad2646715ba9c"
required
account Id

Respuestas

_id
string
default:"655b33aa2209e60b6adb87a7"
required
The unique identifier for the price.
membershipOffers
object[]
An array of membership offers associated with the price.
variantOptionIds
string[]
An array of variant option IDs associated with the price.
locationId
string
default:"3SwdhCsvxI8Au3KsPJt6"
The unique identifier for the account.
product
string
default:"655b33a82209e60b6adb87a5"
The unique identifier for the associated product.
userId
string
default:"6YAtzfzpmHAdj0e8GkKp"
The unique identifier for the user.
name
string
default:"Red / S"
required
The name of the price.
type
string
default:"one_time"
required
The type of the price (e.g., one_time). Posibles valores: ‘one_time’, ‘recurring’
currency
string
default:"INR"
required
The currency code for the price.
amount
number
default:"199999"
required
The amount of the price.
recurring
object
The recurring details of the price (if type is recurring).
createdAt
string
default:"2023-11-20T10:23:38.645Z"
The creation timestamp of the price.
updatedAt
string
default:"2024-01-23T09:57:04.852Z"
The last update timestamp of the price.
compareAtPrice
number
default:"2000000"
The compare-at price for comparison purposes.
trackInventory
boolean
Indicates whether inventory tracking is enabled.
availableQuantity
number
default:"5"
Available inventory stock quantity
allowOutOfStockPurchases
boolean
default:"True"
Continue selling when out of stock
{
  "_id": "655b33aa2209e60b6adb87a7",
  "membershipOffers": [
    {
      "label": "top_50",
      "value": "50",
      "_id": "655b33aa2209e60b6adb87a7"
    }
  ],
  "variantOptionIds": [
    "h4z7u0im2q8",
    "h3nst2ltsnn"
  ],
  "locationId": "3SwdhCsvxI8Au3KsPJt6",
  "product": "655b33a82209e60b6adb87a5",
  "userId": "6YAtzfzpmHAdj0e8GkKp",
  "name": "Red / S",
  "type": "one_time",
  "currency": "INR",
  "amount": 199999,
  "createdAt": "2023-11-20T10:23:38.645Z",
  "updatedAt": "2024-01-23T09:57:04.852Z",
  "compareAtPrice": 2000000,
  "availableQuantity": 5,
  "allowOutOfStockPurchases": true
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/products/YOUR_productId/price/YOUR_priceId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/products/YOUR_productId/price/YOUR_priceId', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/products/YOUR_productId/price/YOUR_priceId',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/products/YOUR_productId/price/YOUR_priceId');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);